Skip to content

CollateralService⁠

Manage collateral records.

Operations⁠

createCollateralDocument⁠

POST

Creates collateral document.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralDocumentLocatorintegeroptional
POST/nexum/{sym}/persistent/collateral/createCollateralDocument
POST /nexum/627/persistent/collateral/createCollateralDocument HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralDocumentTracking⁠

POST

Creates collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CollateralDocumentTrackingLocatorintegeroptional
POST/nexum/{sym}/persistent/collateral/createCollateralDocumentTracking
POST /nexum/627/persistent/collateral/createCollateralDocumentTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralTracking⁠

POST

Creates collateral tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralTrackingLocatorintegeroptional
POST/nexum/{sym}/persistent/collateral/createCollateralTracking
POST /nexum/627/persistent/collateral/createCollateralTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralCollHold⁠

POST

Deletes collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralCollHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/collateral/deleteCollateralCollHold
POST /nexum/627/persistent/collateral/deleteCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralDocument⁠

POST

Deletes collateral document.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/collateral/deleteCollateralDocument
POST /nexum/627/persistent/collateral/deleteCollateralDocument HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralDocumentTracking⁠

POST

Deletes collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
CollateralDocumentTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/persistent/collateral/deleteCollateralDocumentTracking
POST /nexum/627/persistent/collateral/deleteCollateralDocumentTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}